<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/css" href="../css/data.css"?>
<form xmlns="http://www.ge.fr/schema/1.2/form-manager" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" id="findChannelEnabled" label="Recherche des canaux activés" xsi:schemaLocation="http://www.ge.fr/schema/1.2/form-manager http://svn.projet-ge.fr:8080/archiva/repository/xsd/form-manager/form-manager/1.2/form-manager-1.2.xsd">
    <group id="result" label="Résultat">
        <description>Configuration du canal d'envoie d'une autorité compétente</description>
        <group id="authority" label="Les informations de l'authorité compétente" fold="no">
            <data id="funcId" label="Code de l'établissement de l'authorité compétente" type="String" />
            <data id="funcLabel" label="Label de l'authorité compétente" type="String" />
        </group>
        <data id="nbrChannels" label="Nombre de canaux activés" type="String" />
        
		<!-- 0 -->
		<group id="defaultChannels" label="Aucun canal n'est activé, le choix par défault est le courrier papier" if="_step.result.nbrChannels == 0" fold="no">
            <data id="channels[]" label="Courrier papier" min-occurs="1" type="Radios(inline:true)" mandatory="true">
                <conftype>
                    <referential>
                        <text id="addressChannel">Courrier papier</text>
                        <text id="backOfficeChannel">Backoffice</text>
                        <text id="ftpChannel">FTP</text>
                        <text id="emailChannel">Courrier électronique</text>
                    </referential>
                </conftype>
                <value>
                    <text id="addressChannel">Courrier papier</text>
                </value>
            </data>
        </group>
		
		<!-- > 0 -->
 		<group id="activeChannels" label="Choix du canal" if="_step.result.nbrChannels > 0" fold="no">
            <description>Canaux activés :</description>
            <data id="channels[]" label="Choix des canaux :" min-occurs="1" type="Radios(inline:true)" mandatory="true">
                <conftype>
                    <referential>
                        <text id="addressChannel">Courrier papier</text>
                        <text id="backOfficeChannel">Backoffice</text>
                        <text id="ftpChannel">FTP</text>
                        <text id="emailChannel">Courrier électronique</text>
                    </referential>
                </conftype>
            </data>
        </group>
       
    </group>
</form>
